Create Wallet Transfer
post
/walletservice/v1/wallets/{walletAddress}/transfers
Submit a native or token transfer from the specified wallet.
Request
Path Parameters
-
walletAddress(required): string
Wallet address in hex format (0x + 40 hex chars).Example:
0xFE3B557E8Fb62b89F4916B721be55cEb828dBd73
Query Parameters
-
chainId: string
-
rpcUrl: string(uri)
-
submissionMode: string
Submission behavior for wallet transfers.Default Value:
asyncAllowed Values:[ "async", "sync", "callback" ]Example:sync
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
amount(required): string
Example:
90000000000000 -
contractAddress: string
Optional contract address (used for token transfers).Example:
0x9a626f29784501056687dc267966dae6414cc91f -
kind: string
Allowed Values:
[ "native", "erc20" ]Example:native -
memo: string
Example:
{{$randomCatchPhrase}} -
priority: string
Example:
Standard -
to(required): string
Example:
0x14d5382e4c0D0707715822Bc0cfAF99d309D5584
Examples
Security
-
bearerAuth: http
Type:
http
Response
Supported Media Types
- application/json
200 Response
Transfer submitted successfully.
Root Schema : TransferSubmissionResponse
Type:
objectAdditional Properties Allowed:
trueTransfer submission response returned by wallet service provider.
400 Response
Bad request.
Root Schema : Error
Type:
Show Source
object-
code: string
Example:
bad_request -
details: array
details
-
message(required): string
Example:
The request could not be processed.
500 Response
Internal server error.
Root Schema : Error
Type:
Show Source
object-
code: string
Example:
bad_request -
details: array
details
-
message(required): string
Example:
The request could not be processed.